## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Work around a circular dependency on snakemake.
%bcond bootstrap 0

Name:           python-snakemake-interface-report-plugins
Version:        1.1.0
Release:        %autorelease
Summary:        The interface for Snakemake report plugins

# SPDX
License:        MIT
URL:            https://github.com/snakemake/snakemake-interface-report-plugins
# We use the GitHub archive instead of the PyPI sdist to get CHANGELOG.md and
# the tests.
Source:         %{url}/archive/v%{version}/snakemake-interface-report-plugins-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
%if %{without bootstrap}
# See: [tool.poetry.dev-dependencies] in pyproject.toml
BuildRequires:  %{py3_dist pytest}
BuildRequires:  snakemake >= 8.5
%endif

%global common_description %{expand:
This package defines the interface between Snakemake and its report plugins.}

%description %{common_description}


%package -n python3-snakemake-interface-report-plugins
Summary:        %{summary}

%description -n python3-snakemake-interface-report-plugins %{common_description}


%prep
%autosetup -n snakemake-interface-report-plugins-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files snakemake_interface_report_plugins


%check
# Just in case the tests are not very thorough:
%pyproject_check_import

%if %{without bootstrap}
%pytest -v tests/tests.py
%endif


%files -n python3-snakemake-interface-report-plugins -f %{pyproject_files}
%license LICENSE
%doc CHANGELOG.md
%doc README.md


%changelog
## START: Generated by rpmautospec
* Wed Mar 19 2025 Benjamin A. Beasley <code@musicinmybrain.net> - 1.1.0-1
- Update to 1.1.0

* Sat Jan 18 2025 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.0.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jun 09 2024 Python Maint <python-maint@redhat.com> - 1.0.0-4
- Rebuilt for Python 3.13

* Fri Jun 07 2024 Python Maint <python-maint@redhat.com> - 1.0.0-3
- Bootstrap for Python 3.13

* Mon Feb 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-2
- Initial non-bootstrapped package

* Mon Feb 26 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 1.0.0-1
- Initial package (bootstrapped): close RHBZ#2265904
## END: Generated by rpmautospec
